### Virtual Method

# Gio ApplicationCommandLine done

since: 2.80

#### Declaration

    void
    done (
      GApplicationCommandLine* cmdline
    )

#### Description

Signals that command line processing is completed.

For remote invocation, it causes the invoking process to terminate.

For local invocation, it does nothing.

This method should be called in the `GApplication::command-line` handler, after the exit status is set and all messages are printed.

After this call, `g_application_command_line_set_exit_status()` has no effect. Subsequent calls to this method are no-ops.

This method is automatically called when the `GApplicationCommandLine` object is disposed — so you can omit the call in non-garbage collected languages.

Available since: 2.80